<?xml version="1.0"?>
<phpunit xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:noNamespaceSchemaLocation="https://schema.phpunit.de/9.3/phpunit.xsd">
    <coverage includeUncoveredFiles="true"
          pathCoverage="false"
          ignoreDeprecatedCodeUnits="true"
          disableCodeCoverageIgnore="true">
    <include>
        <directory suffix=".php">../../src/</directory>
    </include>
    <report>
        <cobertura outputFile="../../phpunit-coverage.xml"/>
    </report>
</coverage>
    <testsuites>
        <testsuite name="TestSuite">
            <directory>../</directory>
        </testsuite>
    </testsuites>
    <groups>
        <exclude>
            <group>integration</group>
            <group>ignore</group>
        </exclude>
    </groups>
    <logging>
        <junit outputFile="../../tests-report.xml"/>
    </logging>
</phpunit>
